De applicatie LastPass voert automatisch een controle uit of je opgeslagen websites onderhevig zijn aan de Heartbleed-bug. Door Heartbleed is met OpenSSL versleuteld verkeer uit te lezen, sitebeheerders moeten een upgrade uitvoeren om de kwetsbaarheid weg te werken.

LastPass is eigenlijk bedoeld voor het opslaan van wachtwoorden, maar maakt gebruikers nu ook bewust van de aanwezigheid van de bug in diensten waar ze gebruik van maken. Overigens zijn er ook sites waarop je kunt zien of je vaste websites last hebben van de bug. Omdat het versleutelde verkeer ontgrendeld kan worden dankzij Heartbleed, is het bij getroffen websites verstandig om je wachtwoord te veranderen.

Aan de hand van het certificaat van websites kan LastPass ook zien of de bug onlangs is weggewerkt en geeft aan de hand daarvan advies of je je wachtwoord beter kunt wijzigen. Als de website nog niet is geüpdatet maar wel onderhevig is aan Heartbleed, wordt juist geadviseerd om te wachten totdat de bug alsnog is weggepoetst.

De check is uit te voeren via de website van LastPass, je desktopbrowser of in de mobiele apps.